#include <bits/stdc++.h>

using namespace std;

int main()
{
    string T,S;
    cin>>T>>S;
    int brojaca=0,brojacb=0,brojacc=0;;

    if(S=="a")
    {
        for(int i=0;i<T.size();i++)
            {
                if(T[i]=='a')
                {
                    T[i]='*';
                    brojaca++;
                }
            }
        printf("%d\n",brojaca);
        cout<<T;
    }
    if(S=="ab")
    {
       for(int i=0;i<T.size();i++)
            {
                if(T[i]=='a')
                    brojaca++;
                 else if(T[i]=='b')
                    brojacb++;
            }
        char slovo;
        if(brojaca<=brojacb)
        {
            slovo = 'a';
            printf("%d\n",brojaca);
        }
        else
        {
            slovo = 'b';
            printf("%d\n",brojacb);
        }
        for(int i=0;i<T.size();i++)
            {
                if(T[i]==slovo)
                    T[i]='*';
            }
        cout<<T;
    }

    if(S=="abc")
    {
       for(int i=0;i<T.size();i++)
            {
                if(T[i]=='a')
                    brojaca++;
                else if(T[i]=='b')
                    brojacb++;
                else if(T[i]=='c')
                    brojacc++;
            }
        char slovo;
        if(brojaca<=brojacb && brojaca<=brojacc)
        {
            slovo = 'a';
            printf("%d\n",brojaca);
        }
        else if(brojacb<=brojacc)
        {
            slovo = 'b';
            printf("%d\n",brojacb);
        }else
        {
            slovo = 'c';
            printf("%d\n",brojacc);
        }
        for(int i=0;i<T.size();i++)
            {
                if(T[i]==slovo)
                    T[i]='*';
            }
        cout<<T;
    }

}